import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { AnimationLoadedEventData, LottieAnimationLoader, LottieConfigCreator } from '../..';
export declare class LottieAnimationComponent {
    animationContainerElement: HTMLDivElement;
    lottieAnimation: Lottie.AnimationItem;
    lottieAnimationLoader: LottieAnimationLoader;
    lottieConfigCreator: LottieConfigCreator;
    autoplay: string | boolean;
    dataJson: object | string | false;
    onDataJsonChange(value: any): void;
    loop: string | boolean;
    src: string | false;
    onSrcChange(value: any): void;
    onAnimationLoaded: EventEmitter;
    componentDidLoad(): void;
    play(): void;
    updateSrc(src: string | false): void;
    updateDataJson(dataJson: string | object | false): void;
    emitOnAnimationLoadedEvent(data: AnimationLoadedEventData<Lottie.AnimationItem>): void;
    render(): JSX.Element;
}
